﻿using Telerik.Windows.Controls;

namespace UpdateValueBinding
{
    public class MainViewModel : ViewModelBase
    {
        public string nullValue;

        public string NullValue
        {
            get
            {
                return this.nullValue;
            }
            set
            {
                this.nullValue = value;
                this.RaisePropertyChanged();
            }
        }

        private double? value = null;

        public double? Value
        {
            get
            {
                return this.value;
            }
            set
            {
                this.value = value;
                this.RaisePropertyChanged();
                if (this.value != null && double.IsNaN(this.value.Value))
                {
                    this.NullValue = "NaN";
                }
                else if (this.value == double.PositiveInfinity)
                {
                    this.NullValue = "+Inf";
                }
                else if (this.value == double.NegativeInfinity)
                {
                    this.NullValue = "-Inf";
                }
            }
        }
    }
}
